Closed Bug 502608 Opened 15 years ago Closed 15 years ago

Tracking bug for build and release of firefox 3.0.12

Categories

(Release Engineering :: General, defect)

x86
All
defect
Not set
blocker

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: lsblakk, Assigned: lsblakk)

References

Details

Attachments

(8 files, 1 obsolete file)

      No description provided.
Attachment #386981 - Flags: review?(bhearsum)
Comment on attachment 386981 [details] [diff] [review]
bootstrap bumps for 3.0.12, build 1

>Index: fx-moz19-bootstrap.cfg
>===================================================================
>RCS file: /cvsroot/mozilla/tools/release/configs/fx-moz19-bootstrap.cfg,v
>retrieving revision 1.60
>diff -u -8 -p -r1.60 fx-moz19-bootstrap.cfg
>--- fx-moz19-bootstrap.cfg	2 Jun 2009 20:14:33 -0000	1.60
>+++ fx-moz19-bootstrap.cfg	6 Jul 2009 14:43:15 -0000
>@@ -1,23 +1,23 @@
>-version         = 3.0.11
>-appVersion      = 3.0.11
>-milestone       = 1.9.0.11
>+version         = 3.0.12
>+appVersion      = 3.0.12
>+milestone       = 1.9.0.12
> # _BUILDn and _RELEASE will be appended as-needed
>-productTag      = FIREFOX_3_0_11
>+productTag      = FIREFOX_3_0_12
> # Branch name and pull dates to use for base tag
> branchTag       = HEAD
>-RelbranchOverride = GECKO190_20090519_RELBRANCH
>-pullDate        = 2009-05-18 15:48 PDT
>-l10n_pullDate   = 2009-05-01 06:33 PDT
>+#RelbranchOverride = GECKO190_20090519_RELBRANCH
>+pullDate        = 2009-07-05 22:58 PDT
>+l10n_pullDate   = 2009-07-06 02:47 PDT
> build           = 2

Don't forget to bump this back to 1.
Attachment #386981 - Flags: review?(bhearsum) → review-
build set back to 1
Attachment #386981 - Attachment is obsolete: true
Attachment #386982 - Flags: review?(bhearsum)
Attachment #386982 - Flags: review?(bhearsum) → review+
Attachment #386983 - Flags: review?(bhearsum) → review+
Comment on attachment 386982 [details] [diff] [review]
bootstrap bumps for 3.0.12, build 1 (revised)

Landed and tagged with RELEASE_AUTOMATION_M14:
cChecking in fx-moz19-bootstrap.cfg;
/cvsroot/mozilla/tools/release/configs/fx-moz19-bootstrap.cfg,v  <--  fx-moz19-bootstrap.cfg
new revision: 1.61; previous revision: 1.60
done
Checking in xr-moz19-bootstrap.cfg;
/cvsroot/mozilla/tools/release/configs/xr-moz19-bootstrap.cfg,v  <--  xr-moz19-bootstrap.cfg
new revision: 1.17; previous revision: 1.16
done
bitters-2:configs bhearsum$ cvs tag -F RELEASE_AUTOMATION_M14 fx-moz19-bootstrap.cfg xr-moz19-bootstrap.cfg 
T fx-moz19-bootstrap.cfg
T xr-moz19-bootstrap.cfg
Attachment #386982 - Flags: checked‑in+
Comment on attachment 387266 [details] [diff] [review]
add ?force=1 to update.xml to override throttling on aus

I'll land this in a sec.
Attachment #387266 - Flags: review?(bhearsum) → review+
Attachment #387266 - Flags: checked‑in+
Comment on attachment 387266 [details] [diff] [review]
add ?force=1 to update.xml to override throttling on aus

changeset:   312:0e9d2f146916
Mostly just version bumps here. I've also added mn and tr back into the <3.5.1> section, as they were removed when we decided not to ship them with 3.5.
Attachment #389539 - Flags: review?(catlee)
Attachment #389539 - Flags: review?(catlee) → review+
Comment on attachment 389539 [details] [diff] [review]
update patcher config for new MU

Checking in moz19-branch-major-update-patcher2.cfg;
/cvsroot/mozilla/tools/patcher-configs/moz19-branch-major-update-patcher2.cfg,v  <--  moz19-branch-major-update-patcher2.cfg
new revision: 1.8; previous revision: 1.7
done
I missed/messed up a few things in the first one:
* updates the details URL
* use the nightly path for the 3.0.12 MARs (beacuse we haven't pushed to mirrors yet)
* bump verify configs
Attachment #389558 - Flags: review?(catlee)
Attachment #389558 - Flags: review?(catlee) → review+
3.0.12 -> 3.5.1 MU has been generated, I'll be pushing it on the test channels shortly.
Comment on attachment 389558 [details] [diff] [review]
a few updates to the MU config

>-    details = "http://www.mozilla.com/%locale%/firefox/3.5/details/index.html"
>+    details = "http://www.mozilla.com/%locale%/firefox/3.5.1/details/index.html"

Did someone ask for this change ? Usually this part of the config is static because the content changes infrequenlty (and has a big localization hit). We can leave the snippets as-is if Beltzner/Sam put in a redirect on mozilla.com.
(In reply to comment #13)
> (From update of attachment 389558 [details] [diff] [review])
> >-    details = "http://www.mozilla.com/%locale%/firefox/3.5/details/index.html"
> >+    details = "http://www.mozilla.com/%locale%/firefox/3.5.1/details/index.html"
> 
> Did someone ask for this change ? Usually this part of the config is static
> because the content changes infrequenlty (and has a big localization hit). We
> can leave the snippets as-is if Beltzner/Sam put in a redirect on mozilla.com.

Good catch. Considering the 3.5.1 details page doesn't exist I think you're right. I'll regenerate.
Comment on attachment 389558 [details] [diff] [review]
a few updates to the MU config

Just landed the build/tools portion of this:
changeset:   325:495eac5ee75d
Attachment #389558 - Flags: checked‑in+
Results are the same as the 3.0.11 -> 3.5rc3 ones.
Results are the same as the 3.0.11 -> 3.5rc3 ones.
Attachment #389682 - Attachment is patch: false
Attachment #389682 - Attachment mime type: text/plain → application/x-bzip2
As with Linux and win32 the results here are identical to the 3.0.11 -> 3.5.0 verification.
Comment on attachment 386983 [details] [diff] [review]
 version/monitoring bumps to 3.0.13

Checked this version bump in. We should land this as soon as we tag build1 IMO.
Attachment #386983 - Flags: checked‑in+
Status: ASSIGNED → RESOLVED
Closed: 15 years ago
Resolution: --- → FIXED
Product: mozilla.org → Release Engineering
You need to log in before you can comment on or make changes to this bug.